org.eclipse.emf.facet.query.java.core

## Interface IJavaQuery2<T extends EObject,R>

Type Parameters:
  `T` - the source type of the query
  `R` - the return type of the query

    public interface IJavaQuery2<T extends EObject,R>

This interface is implemented by each Java query (a Java query is a query written in Java).

Since:
  0.2

### Method Summary

All Methods Instance Methods Abstract Methods
`R` `evaluate(T source, IParameterValueList2 parameterValues, IFacetManager facetManager)` This method must be implemented by each sub class to implement query evaluation.

### Method Detail

#### evaluate

    R evaluate(T source,
               IParameterValueList2 parameterValues,
               IFacetManager facetManager)
        throws DerivedTypedElementException

This method must be implemented by each sub class to implement query evaluation.

Parameters:
  `source` - The model element on which the query will be evaluated
  `parameterValues` - The query parameter values (only used for queries that implement operations)
Returns:
  the result of the query
Throws:
  `DerivedTypedElementException`